Name: javassist
Version: 3.0
Release: alt1
Summary: Java Programming Assistant: bytecode manipulation

Url: http://www.csg.is.titech.ac.jp/~chiba/javassist/

Group: Development/Java
License: MPL and LGPL

Source: javassist-3.0.tar.bz2

BuildPreReq: /proc rpm-build-java
BuildRequires: ant
BuildArch: noarch

%description
Javassist (Java Programming Assistant) makes Java
bytecode manipulation simple. It is a class library
for editing bytecodes in Java; it enables Java
programs to define a new class at runtime and to
modify a class file when the JVM loads it. Unlike
other similar bytecode editors, Javassist provides
two levels of API: source level and bytecode level.
If the users use the source-level API, they can edit
a class file without knowledge of the specifications
of the Java bytecode. The whole API is designed with
only the vocabulary of the Java language. You can even
specify inserted bytecode in the form of source text;
Javassist compiles it on the fly. On the other hand,
the bytecode-level API allows the users to directly
edit a class file as other editors.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java

%description javadoc
%summary.

%package manual
Summary: Tutorial for %name
Group: Development/Java

%description manual
%summary.

%package demo
Summary: Samples for %name
Group: Development/Java
Requires: %name = %version-%release

%description demo
%summary.

%prep
%setup -q -n %name-%version
find . -name "*.jar" -exec rm {} \;

%build
%__ant dist

%install
%__mkdir_p %buildroot{%_javadir,%_javadocdir/%name,%_datadir/%name}
# jars
%__install %name.jar %buildroot%_javadir/

# demo
%__cp -pr sample/* %buildroot%_datadir/%name

# javadoc
%__cp -pr html/* %buildroot%_javadocdir/%name

%files
%defattr(0644,root,root,0755)
%doc License.html
%_javadir/*.jar

%files demo
%defattr(0644,root,root,0755)
%_datadir/%name

%files javadoc
%defattr(0644,root,root,0755)
%_javadocdir/%name

%files manual
%defattr(0644,root,root,0755)
%doc tutorial

%changelog
* Sat Apr 23 2005 Vladimir Lettiev <crux@altlinux.ru> 3.0-alt1
- Initial build for ALT Linux Sisyphus

